POST V1/ProAdminPaymentsMaster.{ext}/MapRemitCodes?remitCode={remitCode}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| remitCode |
No description available |
string |
Required |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
EMS.ProAdmin.Entities.RemitDetails| Name | Description | Type | Additional information |
|---|---|---|---|
| RemitsList |
No description available |
Collection of EMS.ProAdmin.Entities.Remits |
None. |
Request Formats
application/json, text/json
Sample:
{
"remitsList": [
{
"accountIDFR": "sample string 1"
},
{
"accountIDFR": "sample string 1"
}
]
}
application/xml, text/xml
Sample:
<RemitDetails xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.ProAdmin.Entities">
<RemitsList>
<Remits>
<AccountIDFR>sample string 1</AccountIDFR>
</Remits>
<Remits>
<AccountIDFR>sample string 1</AccountIDFR>
</Remits>
</RemitsList>
</RemitDetails>
application/x-www-form-urlencoded
Sample:
Sample not available.
application/bson
Sample:
Binary JSON content. See http://bsonspec.org for details.
Response Information
Resource Description
EMSResponseOfSystem.Object| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
Object |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
Sample:
{
"responseType": "Object",
"response": {},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Sample:
Binary JSON content. See http://bsonspec.org for details.